package regex;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class MatchTest {
	public static void main(String[] args) {

		String str = "jar:http://www.ylab.ai.kyutech.ac.jp/~shiva/applet/nyartoolkit/nyartoolkit.samples.applet.simplelite.jar!/jp/nyatla/nyartoolkit/jogl/sample/JavaSimpleLiteApplet.class";

		Pattern p = Pattern.compile("(http:/.*)!/");
		Matcher m = p.matcher(str);

		System.out.println(m.find());
	}
}
